package com.bocloud.cmp.model.azure.db;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: ServiceLevelObjectiveModel
 * @Description:性能层的服务级别目标。
 * @author: zhenpingLi/李振平
 * @date: 2020/12/22 13:47
 */
public class ServiceLevelObjectiveModel {

    private String uuid;
    private String edition;//性能层的版本。
    private String hardwareGeneration;//与服务级别目标关联的硬件生成
    private Integer maxBackupRetentionDays;//性能层版本的最大备份保留天数
    private Integer maxStorageMB;//服务器允许的最大存储空间。
    private Integer minBackupRetentionDays;//性能层版本的最小备份保留天数
    private Integer minStorageMB;//服务器允许的最大存储空间。
    private Integer vCore;//与服务级别目标关联的 vCore
    private String performanceTierUuid;//性能层Uuid
    private String regionId;
    private String dbType;//数据库类型

    public String getDbType() {
        return dbType;
    }

    public void setDbType(String dbType) {
        this.dbType = dbType;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getEdition() {
        return edition;
    }

    public void setEdition(String edition) {
        this.edition = edition;
    }

    public String getHardwareGeneration() {
        return hardwareGeneration;
    }

    public void setHardwareGeneration(String hardwareGeneration) {
        this.hardwareGeneration = hardwareGeneration;
    }

    public Integer getMaxBackupRetentionDays() {
        return maxBackupRetentionDays;
    }

    public void setMaxBackupRetentionDays(Integer maxBackupRetentionDays) {
        this.maxBackupRetentionDays = maxBackupRetentionDays;
    }

    public Integer getMaxStorageMB() {
        return maxStorageMB;
    }

    public void setMaxStorageMB(Integer maxStorageMB) {
        this.maxStorageMB = maxStorageMB;
    }

    public Integer getMinBackupRetentionDays() {
        return minBackupRetentionDays;
    }

    public void setMinBackupRetentionDays(Integer minBackupRetentionDays) {
        this.minBackupRetentionDays = minBackupRetentionDays;
    }

    public Integer getMinStorageMB() {
        return minStorageMB;
    }

    public void setMinStorageMB(Integer minStorageMB) {
        this.minStorageMB = minStorageMB;
    }

    public Integer getvCore() {
        return vCore;
    }

    public void setvCore(Integer vCore) {
        this.vCore = vCore;
    }

    public String getPerformanceTierUuid() {
        return performanceTierUuid;
    }

    public void setPerformanceTierUuid(String performanceTierUuid) {
        this.performanceTierUuid = performanceTierUuid;
    }
}